<center>
since it is valetine's day and everything...<br>
<br>
<font size="1">
<?
  $f = 4 * ($i - 1);
  $file = "valentine.bmp";
  $width = 128;
  $height = 128;

  $raw = file_get_contents($file);
  $h = 54 + 3 * $height * $width - 3 * $width;
  for($y = 1; $y <= $height; $y++) {
    for($x = 1; $x <= $width; $x++) {

      $b = ord($raw[$h])   + $f;
      $g = ord($raw[$h+1]) + $f;
      $r = ord($raw[$h+2]) + $f;

      $r = dechex($r);
      $g = dechex($g);
      $b = dechex($b);

      if(strlen($r) == 1) { $r = "0".$r; }
      if(strlen($g) == 1) { $g = "0".$g; }
      if(strlen($b) == 1) { $b = "0".$b; }

      $c = $r.$g.$b;

      $s = "<font color=\"#".$c."\">X</font>";
      print $s;
      $h = $h + 3;
    }
    $h = $h - 2 * 3 * $width;
    print "\n";
  }
?>
</font>
</center>
